import type { UmbFocalPointModel } from '../../types.js';
import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { PropertyValueMap } from '../../../../../external/lit/index.js';
export declare class UmbImageCropperFocusSetterElement extends UmbLitElement {
    #private;
    imageElement: HTMLImageElement;
    wrapperElement?: HTMLElement;
    focalPointElement: HTMLElement;
    private _isDraggingGridHandle;
    private _coords;
    set focalPoint(value: UmbFocalPointModel);
    get focalPoint(): UmbFocalPointModel;
    hideFocalPoint: boolean;
    disabled: boolean;
    src?: string;
    protected update(changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    private _handleGridDrag;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-image-cropper-focus-setter': UmbImageCropperFocusSetterElement;
    }
}
